## wvdial 0.41

=== Makefile ===
TOPDIR=$(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)

DEBUG=0
PREFIX=/usr/local
BINDIR=${PREFIX}/bin
MANDIR=${PREFIX}/man
PPPDIR=/etc/ppp/peers

export TOPDIR DEBUG CC CXX
include rules.mk

SUBDIRS=utils configfile streams dialer

all: wvdial

wvdial: subdirs
	ln -sf dialer/wvdial dialer/wvdialconf .

install: all
	[ -d ${BINDIR}      ] || install -d ${BINDIR}
	[ -d ${MANDIR}/man1 ] || install -d ${MANDIR}/man1
	[ -d ${PPPDIR}      ] || install -d ${PPPDIR}
	install -m 0755 --strip wvdial wvdialconf ${BINDIR}
	install -m 0644 wvdial.1 wvdialconf.1 ${MANDIR}/man1
	cp ppp.provider ${PPPDIR}/wvdial

uninstall:
	rm -f ${BINDIR}/wvdial ${BINDIR}/wvdialconf
	rm -f ${MANDIR}/man1/wvdial.1 ${MANDIR}/man1/wvdialconf.1
	rm -f ${PPPDIR}/wvdial

clean:
	$(subdirs)
	rm -f wvdial wvdialconf

=== configfile/Makefile ===
include $(TOPDIR)/rules.mk

VPATH=../utils:../streams

default: all initest
all: configfile.a

configfile.a: wvconf.o cfgsection.o cfgentry.o

LIBS = ${EFENCE}
initest: initest.o configfile.a ../streams/streams.a ../utils/utils.a

clean:
	rm -f initest

=== dialer/Makefile ===
include $(TOPDIR)/rules.mk

VPATH=../utils:../configfile:../streams

default: all
all: dialer.a wvdial wvdialconf

dialer.a: dialer.o wvdialtext.o wvmodemscan.o wvpapsecrets.o wvdialbrain.o

#LIBS = ${EFENCE}

wvdial: wvdial.o dialer.a ../configfile/configfile.a ../streams/streams.a \
	  ../utils/utils.a

wvdialconf: wvdialconf.o dialer.a ../configfile/configfile.a \
	  ../streams/streams.a ../utils/utils.a

clean:
	rm -f wvdial wvdialconf *.o *.a

=== streams/Makefile ===
include $(TOPDIR)/rules.mk

VPATH=..:../utils

default: all watchtest pipetest clonetest modemtest logtest looptest

all: streams.a

streams.a: wvstream.o wvsplitstream.o wvstreamclone.o wvlog.o wvwatcher.o \
	wvpipe.o wvloopback.o wvmodem.o

LIBS=../utils/utils.a
watchtest pipetest clonetest modemtest logtest looptest: streams.a

clean:
	rm -f watchtest pipetest clonetest modemtest logtest looptest

=== utils/Makefile ===
include $(TOPDIR)/rules.mk

default: all testlist testhash stresshash
all: utils.a

utils.a: strutils.o wvstring.o wvlinklist.o wvhashtable.o wvlockfile.o

LIBS=${EFENCE}
testlist: testlist.o utils.a
testhash: testhash.o utils.a
stresshash: stresshash.o utils.a

clean:
	rm -f testlist testhash stresshash

=== debian/changelog ===
wvdial (0.41) frozen unstable; urgency=low

  * New upstream version, fixes bug#19092 (requirement for 'noauth' option)
  * Now works much better with pppd 2.3.x.
  * Longer delay before killing pppd; avoids permissions problems.

 -- Avery Pennarun <apenwarr@debian.org>  Sat, 16 May 1998 16:29:31 -0400

wvdial (0.31) frozen unstable; urgency=low

  * New upstream version, fixes bug#19173 (core dumps) and several others.
  * Changed postinst/postrm to not divert pon/poff scripts.
    Fixes bug#19244.

 -- Avery Pennarun <apenwarr@debian.org>  Sun, 15 Mar 1998 17:23:00 -0500

wvdial (0.30) unstable; urgency=low

  * New upstream version.

 -- Avery Pennarun <apenwarr@debian.org>  Sat,  7 Mar 1998 13:23:39 -0500

wvdial (0.25) unstable; urgency=low

  * New upstream version.
  * First release uploaded to hamm.
  * debian/control specifies a section and a priority now.  (oops!)
  * Should work properly with pppd 2.3.x, due to use of pap-secrets.

 -- Avery Pennarun <apenwarr@debian.org>  Sat, 14 Feb 1998 17:29:20 -0500

wvdial (0.20-1) unstable; urgency=low

  * New source version fixes several bugs.
  * Now using debhelper instead of debmake to build the Debian package.

 -- Avery Pennarun <apenwarr@worldvisions.ca>  Sun, 21 Dec 1997 18:58:17 -0500

wvdial (0.12-1) unstable; urgency=low

  * wvdialconf now probes /dev/ttyI* as well, for ISDN.

 -- Avery Pennarun <apenwarr@worldvisions.ca>  Thu, 18 Dec 1997 14:01:48 -0500

wvdial (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Avery Pennarun <apenwarr@worldvisions.ca>  Tue,  9 Dec 1997 01:39:45 -0500

Local variables:
mode: debian-changelog
add-log-mailing-address: "apenwarr@worldvisions.ca"
End:

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for WvDial, using debhelper. 
#
# Modified by Avery Pennarun from the debhelper sample, which was
# GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) PREFIX=`pwd`/debian/tmp/usr PPPDIR=`pwd`/debian/tmp/etc/ppp/peers install
	#cp debian/pon.wvdial debian/poff.wvdial debian/tmp/usr/bin/
	dh_installdocs
	dh_installmanpages
	#dh_installchangelogs CHANGES
	gzip -9 <CHANGES >debian/tmp/usr/doc/wvdial/changelog.gz
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## wvdial 1.20

=== debian/changelog ===
wvdial (1.20) frozen unstable; urgency=low

  * New upstream version corrects some bugs in the prompt-response code
    and Makefiles, so several ISP's now work again.

 -- Avery Pennarun <apenwarr@debian.org>  Sun,  8 Nov 1998 15:45:00 -0500

wvdial (1.10) unstable; urgency=low

  * New upstream version.  Now redials automatically if you get
    disconnected, among other things.  (Boy, being the upstream and
    downstream maintainer sure can be tiring!)

 -- Avery Pennarun <apenwarr@debian.org>  Wed, 23 Sep 1998 22:22:17 -0400

wvdial (1.01) unstable; urgency=low

  * New upstream version.  Fixes a few minor bugs.

 -- Avery Pennarun <apenwarr@debian.org>  Thu, 10 Sep 1998 14:55:50 -0400

wvdial (1.00) unstable; urgency=low

  * New upstream version.  Now builds without changes on Debian 2.0.
    (fixes bug#23103)

 -- Avery Pennarun <apenwarr@debian.org>  Tue, 25 Aug 1998 22:40:07 -0400
    

## wvdial 1.53.0.1

=== Makefile ===
TOPDIR=$(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)

DEBUG=0
PREFIX=/usr/local
BINDIR=${PREFIX}/bin
MANDIR=${PREFIX}/share/man
PPPDIR=/etc/ppp/peers

ifeq ($(PKGINC),)
   PKGINC:=$(shell for LOCATION in /usr/include/wvstreams /usr/local/include/wvstreams ; \
		do if [ -d $$LOCATION ]; then \
		echo $$LOCATION; \
		fi; done)
endif

export TOPDIR DEBUG CC CXX PKGINC
include wvrules.mk

CC=${CXX}

SUBDIRS=src

ifeq ($(PKGINC),)
   all:
	@echo "The WvStreams Library Development files have not been installed."
	@echo "Please install them first, and then compile WvDial"
	@echo "If your distribution or platform doesn't have a prepackaged version"
	@echo "you can obtain it from http://open.nit.ca/download"
	@echo "if you have installed WvStreams in a non-standard location, please"
	@echo "set an environment variable called PKGINC to the location for the WvStreams"
	@echo "include files."
else
   all: $(SUBDIRS)
endif

install: all
	[ -d ${BINDIR}      ] || install -d ${BINDIR}
	[ -d ${MANDIR}/man1 ] || install -d ${MANDIR}/man1
	[ -d ${MANDIR}/man5 ] || install -d ${MANDIR}/man5
	[ -d ${PPPDIR}      ] || install -d ${PPPDIR}
	install -m 0755 --strip src/wvdial src/wvdialconf ${BINDIR}
	install -m 0644 wvdial.1 wvdialconf.1 ${MANDIR}/man1
	install -m 0644 wvdial.conf.5 ${MANDIR}/man5
	cp ppp.provider ${PPPDIR}/wvdial
	cp ppp.provider-pipe ${PPPDIR}/wvdial-pipe

uninstall:
	rm -f ${BINDIR}/wvdial ${BINDIR}/wvdialconf
	rm -f ${MANDIR}/man1/wvdial.1 ${MANDIR}/man1/wvdialconf.1
	rm -f ${MANDIR}/man5/wvdial.conf.5
	rm -f ${PPPDIR}/wvdial
	rm -f ${PPPDIR}/wvdial-pipe

clean:
	$(subdirs)

=== src/Makefile ===
TOPDIR=..
include $(TOPDIR)/wvrules.mk

XPATH=.. ../wvstreams/include $(PKGINC)

default: all papchaptest
all: wvdial.a wvdial wvdialconf pppmon

wvdial.a: wvdialer.o wvdialtext.o wvmodemscan.o wvpapchap.o wvdialbrain.o \
	wvdialmon.o

LIBS = -L../wvstreams -lwvutils -lwvstreams

wvdial wvdialconf papchaptest atztest pppmon: wvdial.a

clean:
	rm -f wvdial wvdialconf wvdialmon papchaptest pppmon atztest *.o *.a

=== debian/changelog ===
wvdial (1.53.0.1) unstable; urgency=low

  * NMU
  * Remove ugly cast that seems to not help anything in older g++, and
    actively break stuff in g++ 3.0, thus causing FTBFS errors (Closes: #141654)

 -- Moshe Zadka <moshez@debian.org>  Sat, 13 Apr 2002 14:02:44 +0300

wvdial (1.53) unstable; urgency=high

  * Synchronize with WvStreams 3.70, fixes WvPipe Bug (Closes: #141277)
  * Previous updates close various bugs - see previous Changelog entries
    (Closes: #131645), (Closes: #58124), (Closes: #120879)

 -- Patrick Patterson <ppatters@debian.org>  Fri,  5 Apr 2002 13:34:06 -0500

wvdial (1.52) unstable; urgency=low

  * Fix error in --config option to actually let it get to the default

 -- Patrick Patterson <ppatters@debian.org>  Mon,  1 Apr 2002 23:48:01 -0500

wvdial (1.51) unstable; urgency=medium

  * Synchronise with libwvstreams v3.69

  * Changed WvDial to a native Debian Package (Closes: #131645)

  * New Maintainer for WvDial Patrick Patterson <ppatters@debian.org>, 
    taking over by mutual agreement from Baruch Even <baruch@debian.org>.

  * WvDialConf actually works with this release

  * Applied some patches from Andrew W. Nosenko <awn@bcs.zp.ua> that
    fix a couple of typos, and which makes sure that the wvdialconf man page
    gets installed.

  * Applied some patches from RedHat to make sure that WvDial and
    WvStreams compile clean on 64 bit architectures. Also did some cleanup
    to make sure that the goofy GCC that RedHat ships doesn't complain on
    some bits of WvDial.

  * Applied patches from SuSE to ensure that WvDial compiles cleanly 
    using GCC 3.1, as well, adapt a patch to make sure that wvdialconf
    creates the wvdial.conf file mode 660.Also applied their multi-phone
    number patch (so it will dial several phone numbers in order if you ask
    it nicely), as well as their check to make sure inherited sections 
    actually exist.

  * Applied patch from Dushyanth Harinath <dushy@symonds.net> to implement
    the "Dial Attempts" option, which will now cause WvDial to stop trying
    to dial after the number in this option is exceeded.

  * Applied a mega patch from SuSE that added better ISDN support, added USB
    modem support, added a "--no-syslog" option, inactivity timeouts,
    interactive passwords (WvDial will now prompt you for passwords if you
    ask it to), Connection checking once you're online (which can probably be
    adapted to run your copy of retchmail (or if you are still using fetchmail..
    I guess you could run that as well) once you are online. It also reputedly  
    works better with DialD.

  *  It should be mentioned somewhere that all of these nifty new features
     are pretty much completely untested. So please bang at them, look at them,
     and please send the bug reports to wvdial-list@lists.nit.ca. That's where 
     all of the cool wvdial hackers hang out ;)

 -- Patrick Patterson <ppatters@debian.org>  Mon,  4 Mar 2002 12:26:20 -0500

wvdial (1.50-1) unstable; urgency=low

  * New Upstream version and major packaging changes

 -- Patrick Patterson <ppatters@nit.ca>  Mon, 28 Jan 2002 14:01:04 -0500

wvdial (1.42-1) unstable; urgency=low

  * New upstream version and some packaging changes.  Should fix
  	bugs #65144, 66005, 71556, 78350, 91085, 31041, 19883, 53485.
  * Thanks to Josip Rodin <jrodin@public.srce.hr> for the new wvdial.conf(5)
  	man page.

 -- Avery Pennarun <apenwarr@debian.org>  Fri, 11 May 2001 15:43:05 -0400

wvdial (1.41) unstable; urgency=low

  * Recompiled for potato using the latest upstream version, debhelper,
  	and libstdc++.  No real changes.

 -- Avery Pennarun <apenwarr@debian.org>  Thu,  6 Jan 2000 21:57:46 -0500

wvdial (1.40) unstable; urgency=low

  * New upstream version adds bugs and new features.  Er, I mean, removes
    bugs.  Of course.  Ahem.

 -- Avery Pennarun <apenwarr@debian.org>  Mon,  2 Aug 1999 15:25:47 -0400

=== debian/control ===
Source: wvdial
Section: main/comm
Priority: optional
Maintainer: Patrick Patterson <ppatters@debian.org>
Uploader: Baruch Even <baruch@debian.org>
Build-Depends: debhelper (>> 3.0.0), libwvstreams-dev
Standards-Version: 3.5.4.0

Package: wvdial
Architecture: any
Depends: ppp (>= 2.3.0), ${shlibs:Depends}
Description: PPP dialer with built-in intelligence.
 WvDial sacrifices some of the flexibility of programs like "chat" in order
 to make your dialup configuration easier.  When you install this package,
 your modem will be detected automatically and you need to specify just
 three parameters: the phone number, username, and password.  WvDial knows
 enough to dial with most modems and log in to most servers without any
 other help.
 .
 In particular, you no longer need a "chat script" to handle the most common
 situations.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 build: build-stamp
 build-stamp:
 	dh_testdir
-	$(MAKE)
+	$(MAKE) CXXOPTS="-fno-implement-inlines -fno-rtti -fno-exceptions"
 	touch build-stamp
 
 clean:
@@ -30,16 +30,16 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
-	$(MAKE) PREFIX=`pwd`/debian/tmp/usr PPPDIR=`pwd`/debian/tmp/etc/ppp/peers install
+	$(MAKE) PREFIX=`pwd`/debian/tmp/usr \
+		PPPDIR=`pwd`/debian/tmp/etc/ppp/peers \
+		install
 	#cp debian/pon.wvdial debian/poff.wvdial debian/tmp/usr/bin/
 	dh_installdocs
 	dh_installmanpages
-	#dh_installchangelogs CHANGES
-	gzip -9 <CHANGES >debian/tmp/usr/doc/wvdial/changelog.gz
+	dh_installchangelogs
 	dh_strip
 	dh_compress
 	dh_fixperms
-	dh_suidregister
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

## wvdial 1.56

=== Makefile ===
ifeq ($(TOPDIR),)
 TOPDIR=.

 prefix=/usr/local
 WVSTREAMS_INC=
 WVSTREAMS_LIB=
 WVSTREAMS_BIN=$(prefix)/bin
 WVSTREAMS_SRC=.

 PC_CFLAGS=$(shell pkg-config --cflags libwvstreams)
 ifeq ($(PC_CFLAGS),)
  $(error WvStreams does not appear to be installed)
 endif
 CPPFLAGS+=$(PC_CFLAGS)

 PC_LIBS=$(shell pkg-config --libs libwvstreams)
 ifeq ($(PC_LIBS),)
  $(error WvStreams does not appear to be installed)
 endif
 LIBS+=$(PC_LIBS)
else
 XPATH=$(TOPDIR)/src
endif

BINDIR=${prefix}/bin
MANDIR=${prefix}/share/man
PPPDIR=/etc/ppp/peers

include $(TOPDIR)/wvrules.mk


default: all papchaptest
all: wvdial.a wvdial wvdialconf pppmon

wvdial.a: wvdialer.o wvmodemscan.o wvpapchap.o wvdialbrain.o \
	wvdialmon.o

ifeq ($(WVSTREAMS_LIB),)
 LIBUNICONF:=-luniconf
endif
wvdial wvdialconf papchaptest pppmon: wvdial.a $(LIBUNICONF)

install-bin: all
	[ -d ${BINDIR}      ] || install -d ${BINDIR}
	[ -d ${PPPDIR}      ] || install -d ${PPPDIR}
	install -m 0755 wvdial wvdialconf ${BINDIR}
	cp ppp.provider ${PPPDIR}/wvdial
	cp ppp.provider-pipe ${PPPDIR}/wvdial-pipe

install-man:
	[ -d ${MANDIR}/man1 ] || install -d ${MANDIR}/man1
	[ -d ${MANDIR}/man5 ] || install -d ${MANDIR}/man5
	install -m 0644 wvdial.1 wvdialconf.1 ${MANDIR}/man1
	install -m 0644 wvdial.conf.5 ${MANDIR}/man5

install: install-bin install-man

uninstall-bin:
	rm -f ${BINDIR}/wvdial ${BINDIR}/wvdialconf
	rm -f ${PPPDIR}/wvdial
	rm -f ${PPPDIR}/wvdial-pipe

uninstall-man:
	rm -f ${MANDIR}/man1/wvdial.1 ${MANDIR}/man1/wvdialconf.1
	rm -f ${MANDIR}/man5/wvdial.conf.5

uninstall: uninstall-bin uninstall-man

clean:
	rm -f wvdial wvdialconf wvdialmon papchaptest pppmon

.PHONY: clean all install-bin install-man install uninstall-bin uninstall-man \
	uninstall

## wvdial 1.60.1

=== debian/changelog ===
wvdial (1.60.1) unstable; urgency=low

   * New upstream release.

 -- Patrick Patterson <ppatters@debian.org>  Sat, 22 Dec 2007 15:10:00 -0700

wvdial (1.60-1) unstable; urgency=low

   * New upstream release.

 -- William Lachance <wrlach@gmail.com>  Thu, 19 Jul 2007 19:30:09 -0400
	

wvdial (1.56-1) unstable; urgency=low

  * New upstream release.
   - wvdialconf actually writes settings.  (Closes: Bug#350882)
  * Reduce the priority of debconf questions.  (Closes: Bug#348621)

 -- Simon Law <sfllaw@debian.org>  Wed, 22 Feb 2006 13:20:56 -0500

wvdial (1.55-1) unstable; urgency=low

  * New upstream release.
    - Understand "no answer" from modem.  (Closes: Bug#181098)
    - wvdialconf defaults to editing /etc/wvdial.conf.  (Closes: Bug#201671)
    - You can set options on the command line.  (Closes: Bug#246697)
    - Support crippled serial ports again.  (Closes: Bug#294999)
  * Don't clobber too much on a purge.  (Closes: Bug#236616)
  * Use Debhelper 4.  (Closes: Bug#332948)
  * Postinst now uses chown properly.  (Closes: Bug#332949)
  * Lintian clean.  (Closes: Bug#332950)
  * Allow WvDial to configure itself non-interactively.
  * Acknowledge non-maintainer upload.
    (Closes: Bug#289129, Bug#291506, Bug#289236, Bug#331511)

 -- Simon Law <sfllaw@debian.org>  Fri,  2 Dec 2005 01:30:40 -0500

wvdial (1.54.0-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Recompile with latest libwvstreams-dev (Closes: #291506)
  * Use pkg-config to get the right compiler flags
    (Closes: #289236)
  * While I'm on it, remove .. and ../wvstreams from include paths,
    since these should probably never be used in a Debian package

 -- Frank Lichtenheld <djpig@debian.org>  Fri, 21 Jan 2005 09:42:37 +0100

wvdial (1.54.0-1) unstable; urgency=low

  * New upstream release.

 -- James A. Morrison <phython@debian.org>  Sun, 15 Feb 2004 13:23:24 -0500

wvdial (1.54+20031110-1) unstable; urgency=low

  * Fix build depends. (Closes: #218344)

 -- James Morrison <phython@debian.org>  Mon, 10 Nov 2003 10:02:11 -0500

wvdial (1.54+20031017-1) unstable; urgency=low

  * Make a non-native debian package with an empty diff. (Closes: #160969)
  * Add manpages for pon.wvdial and poff.wvdial (Closes: #201673)
  * Test the option WvStrings not their first characters. (Closes: #212601)
  * Exit with value 2 on a user signal. (Closes: #145404)

 -- James Morrison <phython@debian.org>  Fri, 17 Oct 2003 14:21:38 -0400

wvdial (1.54+20030509-1) unstable; urgency=low

  * Synchronize with WvStreams 3.73
  * More cleanup of various internals
  * Add support for SmartLink WinModems
  * Re-add debian revision.
  * Acknowledge NMU. (Closes: #141654) 

 -- James Morrison <phython@debian.org>  Mon, 14 Apr 2003 11:56:18 -0400

## wvdial 1.60.1+nmu2

=== Makefile ===
--- 
+++ 
@@ -1,32 +1,27 @@
-ifeq ($(TOPDIR),)
- TOPDIR=.
 
- prefix=/usr/local
- WVSTREAMS_INC=
- WVSTREAMS_LIB=
- WVSTREAMS_BIN=$(prefix)/bin
- WVSTREAMS_SRC=.
+prefix=/usr/local
+WVSTREAMS_INC=
+WVSTREAMS_LIB=
+WVSTREAMS_BIN=$(prefix)/bin
+WVSTREAMS_SRC=.
 
- PC_CFLAGS=$(shell pkg-config --cflags libwvstreams)
- ifeq ($(PC_CFLAGS),)
-  $(error WvStreams does not appear to be installed)
- endif
- CPPFLAGS+=$(PC_CFLAGS)
+PC_CFLAGS=$(shell pkg-config --cflags libwvstreams)
+ifeq ($(PC_CFLAGS),)
+ $(error WvStreams does not appear to be installed)
+endif
+CPPFLAGS+=$(PC_CFLAGS)
 
- PC_LIBS=$(shell pkg-config --libs libwvstreams)
- ifeq ($(PC_LIBS),)
-  $(error WvStreams does not appear to be installed)
- endif
- LIBS+=$(PC_LIBS)
-else
- XPATH=$(TOPDIR)/src
+PC_LIBS=$(shell pkg-config --libs libwvstreams)
+ifeq ($(PC_LIBS),)
+ $(error WvStreams does not appear to be installed)
 endif
+LIBS+=$(PC_LIBS)
 
 BINDIR=${prefix}/bin
 MANDIR=${prefix}/share/man
 PPPDIR=/etc/ppp/peers
 
-include $(TOPDIR)/wvrules.mk
+include wvrules.mk
 
 
 default: all papchaptest
@@ -35,10 +30,9 @@
 wvdial.a: wvdialer.o wvmodemscan.o wvpapchap.o wvdialbrain.o \
 	wvdialmon.o
 
-ifeq ($(WVSTREAMS_LIB),)
- LIBUNICONF:=-luniconf
-endif
-wvdial wvdialconf papchaptest pppmon: wvdial.a $(LIBUNICONF)
+wvdial: LDFLAGS+=-luniconf
+
+wvdial wvdialconf papchaptest pppmon: wvdial.a
 
 install-bin: all
 	[ -d ${BINDIR}      ] || install -d ${BINDIR}

=== debian/changelog ===
wvdial (1.60.1+nmu2) unstable; urgency=low

  * Non-maintainer upload to fix a pending l10n issue from last NMU.
  * Remove debian/nl.po. That file was polluting l10n stats.

 -- Christian Perrier <bubulle@debian.org>  Mon, 12 May 2008 08:09:04 +0200

wvdial (1.60.1+nmu1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Bring back debconf translations accidentally dropped in 1.60.1
      Closes: #457671
    - Dutch. Closes: #415501
    - Brazilian Portuguese. Closes: #449384
    - Russian. Closes: #457705
    - German. Closes: #472084
    - Finnish. Closes: #472508
    - Galician. Closes: #474625

 -- Christian Perrier <bubulle@debian.org>  Mon, 24 Mar 2008 19:40:59 +0100

=== debian/control ===
Source: wvdial
Section: comm
Priority: optional
Maintainer: Simon Law <sfllaw@debian.org>
Uploaders: James Morrison <phython@debian.org>, Patrick Patterson <ppatters@debian.org>
Build-Depends: debhelper (>= 4.1.16), libwvstreams-dev (>= 4.0), pkg-config, po-debconf
Standards-Version: 3.7.3

Package: wvdial
Architecture: any
Depends: ppp (>= 2.3.0), debconf (>= 0.5.00) | cdebconf, ${shlibs:Depends}
Description: PPP dialer with built-in intelligence
 WvDial sacrifices some of the flexibility of programs like "chat" in order
 to make your dialup configuration easier.  When you install this package,
 your modem will be detected automatically and you need to specify just
 three parameters: the phone number, username, and password.  WvDial knows
 enough to dial with most modems and log in to most servers without any
 other help.
 .
 In particular, you no longer need a "chat script" to handle the most common
 situations.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,8 @@
 build: build-stamp
 build-stamp:
 	dh_testdir
-	$(MAKE) CXXOPTS="-fno-implement-inlines -fno-rtti -fno-exceptions"
+	$(MAKE) CXXOPTS="-fno-implement-inlines -fno-rtti -fno-exceptions" \
+		VERBOSE=1
 	touch build-stamp
 
 clean:
@@ -30,13 +31,15 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
-	$(MAKE) PREFIX=`pwd`/debian/tmp/usr \
-		PPPDIR=`pwd`/debian/tmp/etc/ppp/peers \
-		install
-	#cp debian/pon.wvdial debian/poff.wvdial debian/tmp/usr/bin/
+	$(MAKE) prefix=`pwd`/debian/wvdial/usr \
+		PPPDIR=`pwd`/debian/wvdial/etc/ppp/peers \
+		install-bin
+	cp debian/pon.wvdial debian/poff.wvdial debian/wvdial/usr/bin/
+	dh_installdebconf
 	dh_installdocs
-	dh_installmanpages
-	dh_installchangelogs
+	dh_installman
+	dh_installchangelogs ChangeLog
+	dh_link
 	dh_strip
 	dh_compress
 	dh_fixperms

## wvdial 1.60.1+nmu2ubuntu1

=== debian/changelog ===
wvdial (1.60.1+nmu2ubuntu1) karmic; urgency=low

  * debian/rules: Drop -fno-rtti from CXXFLAGS, cherry-picked from unstable.
  * wvmodemscan.cc: Adjust comparison function to fix FTBFS.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Sat, 03 Oct 2009 23:20:08 +0200

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 build: build-stamp
 build-stamp:
 	dh_testdir
-	$(MAKE) CXXOPTS="-fno-implement-inlines -fno-rtti -fno-exceptions" \
+	$(MAKE) CXXOPTS="-fno-implement-inlines -fno-exceptions" \
 		VERBOSE=1
 	touch build-stamp

## wvdial 1.60.3

=== debian/changelog ===
wvdial (1.60.3) unstable; urgency=low

  * QA upload.
  * wvmodemscan.cc:
    - Fix FTBFS with gcc-4.4, thanks Stefan Potyra! (Closes: #549513).
  * Bump Standars-Version to 3.8.3, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 07 Nov 2009 20:03:50 +0100

wvdial (1.60.2) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>
    + Drop current maintainer and uploaders. (Closes: #487139).
  * Tighten build-dep for wvstreams. (Closes: #457755).
  * Add Japanese PO file. (Closes: #520062).
    + Thanks to Hideki Yamane.
  * This package should NOT be native!
  * debian/rules: Remove -fno-rtti from CXXFLAGS.
  * Add ${misc:Depends} for debhelper package.
  * Bump debhelper build-dep and compat to 5.
  * Bump Standards Version to 3.8.2. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Thu, 30 Jul 2009 13:25:00 -0400

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 build: build-stamp
 build-stamp:
 	dh_testdir
+#	$(MAKE) CXXOPTS="-fno-implement-inlines -fno-rtti -fno-exceptions" \
 	$(MAKE) CXXOPTS="-fno-implement-inlines -fno-exceptions" \
 		VERBOSE=1
 	touch build-stamp

## wvdial 1.60.4

=== debian/changelog ===
wvdial (1.60.4) unstable; urgency=low

  * QA upload.
  * Apply patch from Nobuhiro Iwamatsu <iwamatsu@nigauri.org> to fix FTBFS due
    to an invalid conversion from 'int (*)(const dirent**, const dirent**)' to
    'int (*)(const void*, const void*) (Closes: #555035);
    patch taken from http://bugs.gentoo.org/show_bug.cgi?id=271477.
  * Switch to format 3.0 (native).

 -- Alessio Treglia <alessio@debian.org>  Thu, 24 Jun 2010 15:20:30 +0200

=== debian/control ===
Source: wvdial
Section: comm
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 5), libwvstreams-dev (>= 4.4.1), pkg-config, po-debconf
Standards-Version: 3.8.3

Package: wvdial
Architecture: any
Depends: ppp (>= 2.3.0), debconf (>= 0.5.00) | cdebconf, ${shlibs:Depends}, ${misc:Depends}
Description: PPP dialer with built-in intelligence
 WvDial sacrifices some of the flexibility of programs like "chat" in order
 to make your dialup configuration easier.  When you install this package,
 your modem will be detected automatically and you need to specify just
 three parameters: the phone number, username, and password.  WvDial knows
 enough to dial with most modems and log in to most servers without any
 other help.
 .
 In particular, you no longer need a "chat script" to handle the most common
 situations.

## wvdial 1.61

=== debian/changelog ===
wvdial (1.61-8) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Bumped Standards-Version to 4.7.0
      - Replaced obsolete pkg-config dependency by pkgconf drop-in.
  * debian/copyright: updated packaging copyright information.

 -- David da Silva Polverari <polverari@debian.org>  Sat, 15 Jun 2024 03:22:20 +0000

wvdial (1.61-7) unstable; urgency=medium

  * QA upload.

  [ Joao Eriberto Mota Filho ]
  * debian/control: bumped Standards-Version to 4.6.2.
  * debian/copyright:
      - Converted the last paragraph of the LGPL-2 in a comment.
      - Updated packaging copyright years.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on libwvstreams-dev.
    + wvdial: Drop versioned constraint on debconf and ppp in Depends.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 22 Jul 2023 13:24:46 -0300

wvdial (1.61-6) unstable; urgency=medium

  * QA upload.
  * Migrations:
      - debian/copyright to 1.0 format.
      - debian/rules to new (reduced) format. Consequently:
          ~ debian/clean: created to remove files created when building the
            wvdial.
          ~ debian/install: created to install pon.wvdial and poff.wvdial.
          ~ debian/wvdial.dirs: no longer needed. Removed.
          ~ debian/wvdial.manpages:
              - Renamed to manpages.
              - Removed wvdial.1, wvdialconf.1 and wvdial.conf.5, to be
                installed via Makefile.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * Ran wrap-and-sort.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Added Vcs-* fields.
      - Bumped Standards-Version to 4.6.0.
  * debian/patches/:
      - Added a numeric prefix to all patch names.
      - 020_ftbfs_with_gcc_4.5.patch: added a header.
  * debian/po/: renamed 'wvdial.templates' to 'templates' in all files.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/control: created to provide CI tests.
  * debian/watch: added a fake site to explain about the current status of the
    original upstream homepage.
  * debian/wvdial.docs: renamed to docs.
  * debian/wvdial.links: renamed to links.
  * debian/wvdial.postinst: renamed to postinst.
  * debian/wvdial.postrm: renamed to postrm.
  * debian/wvdial.templates: renamed to templates.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 06 Feb 2022 20:38:20 -0300

wvdial (1.61-5) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross compilers to make.
    Closes: #879122

  [ Gianfranco Costamagna ]
  * QA Upload, set maintainer to QA team (see: #901879).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 25 Aug 2018 16:39:33 +0200

wvdial (1.61-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS on kfreebsd-amd64 by....not building for non-Linux
    architectures. Thanks to Robert Millan for the analysis and
    patch. Closes: #648065
  * Fix pending l10n issues. Debconf translations:
    - Dutch; (Jeroen Schot).  Closes: #651191
    - Bokmål, (Bjørn Steensrud).  Closes: #654372
    - Simplified Chinese (Aron Xu).  Closes: #661347
    - Polish (Michał Kułach).  Closes: #661476

 -- Christian Perrier <bubulle@debian.org>  Tue, 06 Mar 2012 22:03:10 +0100

wvdial (1.61-4) unstable; urgency=low

  * Bumped Standards-Version to 3.9.2
  * Debconf translation updates:
    - Spanish (Closes: #613471, #611696)
    - Chinese (Closes: #612708)
    - Japanese (Closes: #624820)

 -- Thierry Randrianiriana <thierry@debian.org>  Wed, 20 Jul 2011 11:29:24 +0300

wvdial (1.61-3) unstable; urgency=low

  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #610744
  * Debconf translation updates:
    - Swedish (closes: #611286, #609867)
    - Indonesian (closes: #611320)
    - Czech (closes: 611431, #610767)
    - Italian (closes: #610217)
    - Danish (closes: #611484)
    - French (closes: #612086)
    - Brazilian Portuguese (closes: #610914)
    - Russian (closes: #612787, #609993)
    - Portuguese (closes: #610823)
    - German (closes: #612827)
  * Removed all generated files on purge

 -- Thierry Randrianiriana <thierry@debian.org>  Fri, 18 Feb 2011 09:23:20 +0300

wvdial (1.61-2) unstable; urgency=low

  * New upstream release in unstable:
    + FAQ URL updated (LP: #415524).
  * Updated manpage pon.wvdial.1
  * Prevent ftbfs with binutils-gold and gcc 4.5 (Closes: #608018, #609573).

 -- Thierry Randrianiriana <thierry@debian.org>  Sun, 09 Jan 2011 18:59:33 +0300

wvdial (1.61-1) experimental; urgency=low

  * New maintainer (Closes: #488005).
  * Ack l10n NMU
    (Closes: #398242, #415501, #449384, #457705, #472084, #472508, #474625).
  * Bumped to debhelper 7 compatibility levels
  * Switched to format 3.0 (quilt)
  * Removed patch from Andrey Vihrov which is applied upstream (#555035)
  * Added debian/watch
  * debian/rules:
    + Check Makefile if it exists
    + Add install target
    + Add ./configure in build-stamp target
  * debian/control:
    + Add Homepage field
    + Bump Standards-Version to 3.9.1
  * debian/config:
    + use 'which' instead of 'type'
  * debian/wvdial.templates:
    + use colons
    + change type error the template wvdial/passphrases_mismatch

 -- Thierry Randrianiriana <thierry@debian.org>  Fri, 07 Jan 2011 14:04:54 +0300

=== debian/control ===
Source: wvdial
Section: comm
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               libwvstreams-dev,
               pkgconf,
               po-debconf
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: http://alumnit.ca/wiki/index.php?page=WvDial
Vcs-Browser: https://salsa.debian.org/debian/wvdial
Vcs-Git: https://salsa.debian.org/debian/wvdial.git

Package: wvdial
Architecture: linux-any
Depends: debconf | cdebconf,
         ppp,
         ${misc:Depends},
         ${shlibs:Depends}
Description: intelligent Point-to-Point Protocol dialer
 WvDial sacrifices some of the flexibility of programs like "chat" in
 order to make dialup configuration easier. With WvDial, modems are
 detected automatically and only three additional parameters are
 required: the telephone number, username, and password. WvDial knows
 enough to dial with most modems and log in to most servers without any
 other help.
 .
 In particular, a "chat script" is not required to handle the most common
 situations.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --no-parallel

override_dh_auto_build:
	dh_auto_build --buildsystem=makefile -- CXXOPTS="-fno-implement-inlines -fno-exceptions" VERBOSE=1

override_dh_auto_install:
	dh_auto_install -- prefix=debian/wvdial/usr PPPDIR=debian/wvdial/etc/ppp/peers
